Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157862 - can't print out UTF-8 page
Summary: can't print out UTF-8 page
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Christopher Blizzard
QA Contact:
URL:
Whiteboard:
Depends On: 126265
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-16 15:45 UTC by Jens Petersen
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-26 03:49:15 UTC


Attachments (Terms of Use)

Description Jens Petersen 2005-05-16 15:45:57 UTC
+++ This bug was initially created as a clone of Bug #126265 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The PostScript file which was generated from UTF-8 html can't be
printed out correctly. the result of the printing shows some boxes
instead of proper glyphs.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.show UTF-8 html, such as README-ja.html in RHEL3
2.print out or generate to the file, and look at it on ghostscript
3.
    

Actual Results:  some boxes are shown/printed out instead of proper glyphs

Expected Results:  proper glyphs are shown/printed out

Additional info:

mozilla has some tables to convert the string. if depending on
ghostscript or PostScript level 3 printers is no problem, mozilla can
uses UTF-8 CMaps directly to print out the UTF-8 strings instead of
complex PostScript code.

Comment 1 Lawrence Lim 2005-05-26 03:49:15 UTC
Closing bug. Please refer to comment #9 of bug 126265 for more information.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=126265#c9

Comment 2 Jay Turner 2005-06-21 18:56:41 UTC
Removing from proposed list.


Note You need to log in before you can comment on or make changes to this bug.